server.port: 8081
spring.datasource.url=jdbc:postgresql://${DATABASE_HOST:localhost}:${DATABASE_PORT:5432}/${DATABASE_NAME:superHeroFarm}
# => jdbc:postgresql://localhost:5432/superHeroFarm
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.name=superHeroFarm
spring.datasource.password=${DATABASE_PASSWORD:admin}
spring.datasource.username=${DATABASE_USERNAME:postgres}
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect

# Update the database model if needed
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format.sql = true
spring.jpa.hibernate.ddl-auto=update 